Eliminar evento de marketing por ID externos
curl --request DELETE \
--url https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/marketing/marketing-events/2026-03/events/{externalEventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Eventos de marketing
Delete event by external ID
Elimina los eventos de marketing existentes con el externalAccountId, externalEventId especificado, si existe.
Solo se eliminarán eventos de marketing creados por la misma aplicación.
DELETE
/
marketing
/
marketing-events
/
2026-03
/
events
/
{externalEventId}
Eliminar evento de marketing por ID externos
Última modificación el 3 de abril de 2026